/*====================================IMPORT CONFIGS====================================*/
@import './configs/reset';
@import './configs/config';
@import './configs/mixin';
/*======================================================================================*/


/*====================================IMPORT MODULES====================================*/
@import './modules/fonts';
@import './modules/vars';
@import './modules/global';
/*======================================================================================*/


/*======================================DUBLICATES======================================*/
%title{
    font-family: serif;
    font-size: 30px;
    font-weight: 400;
    color: #000;
}

%text{
    font-family: serif;
    font-size: 14px;
    font-weight: 400;
    color: #000;
}

%buttons{
    @include create-button(14, 100, 20);
    color: #FFFFFF;
    font-weight: 400;
}
/*======================================================================================*/


/*=====================================IMPORT components=====================================*/
@import './components/header';
@import './components/main';
@import './components/footer';
/*======================================================================================*/


@keyframes animate_slogan {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgba(#7244FF, 0.563);
        box-shadow: 0 0 0 0 rgba(#7244FF, 0.563);
    }
    70% {
        -webkit-box-shadow: 0 0 0 12px transparent;
        box-shadow: 0 0 0 12px transparent;
    }
    to {
        -webkit-box-shadow: 0 0 0 0 transparent;
        box-shadow: 0 0 0 0 transparent;
    }
}


[data-aos=fade-up-right] {
    -webkit-transform: translate3d(0px,100px,0);
    transform: translate3d(0px,100px,0);
}

[data-aos^=fade][data-aos^=fade], [data-aos^=zoom][data-aos^=zoom] {
    opacity: 0;
    -webkit-transition-property: opacity,-webkit-transform;
    transition-property: opacity,transform;
    transition-property: opacity,transform,-webkit-transform;
}

[data-aos][data-aos][data-aos-duration="400"], body[data-aos-duration="400"] [data-aos] {
    -webkit-transition-duration: .4s;
    transition-duration: .4s;
}

[data-aos][data-aos][data-aos-easing=ease], body[data-aos-easing=ease] [data-aos] {
    -webkit-transition-timing-function: ease;
    transition-timing-function: ease;
}

[data-aos^=fade][data-aos^=fade].aos-animate {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}

[data-aos][data-aos][data-aos-delay="300"].aos-animate, body[data-aos-delay="300"] [data-aos].aos-animate {
    -webkit-transition-delay: .1s;
    transition-delay: .1s;
}


[data-aos][data-aos][data-aos-delay="300"], body[data-aos-delay="300"] [data-aos] {
    -webkit-transition-delay: 0;
    transition-delay: 0;
}

[data-aos][data-aos][data-aos-easing=ease], body[data-aos-easing=ease] [data-aos] {
    -webkit-transition-timing-function: ease;
    transition-timing-function: ease;
}

[data-aos][data-aos][data-aos-duration="400"], body[data-aos-duration="400"] [data-aos] {
    -webkit-transition-duration: .4s;
    transition-duration: .4s;
}


[data-aos^=fade][data-aos^=fade], [data-aos^=zoom][data-aos^=zoom] {

    @media (min-width: 769px) {
        opacity: 0;
        -webkit-transition-property: opacity,-webkit-transform;
        transition-property: opacity,transform;
        transition-property: opacity,transform,-webkit-transform;
    }

    @media (max-width: 768px) {
        -webkit-transform: translate3d(0px,100px,0);
        transform: translate3d(0px,100px,0);
    }
}